<?php
class Centro extends Conectar {
    public function get_centro() {
        $conectar = parent::conexion();
        parent::set_names();
        $sql = "SELECT * FROM centro";
        $stmt = $conectar->prepare($sql);
        $stmt->execute();
        return $stmt->fetchAll();
    }

    public function get_centro_id($Ccod_centroID) {
        $conectar = parent::conexion();
        parent::set_names();
        $sql = "SELECT * FROM centro WHERE Ccod_centroID = ?";
        $stmt = $conectar->prepare($sql);
        $stmt->execute([$Ccod_centroID]);
        return $stmt->fetch();
    }

    public function insert_centro($Ccod_centro, $Sdesc_centro) {
        $conectar = parent::conexion();
        parent::set_names();
        $sql = "INSERT INTO centro (Ccod_centro, Sdesc_centro) VALUES (?, ?)";
        $stmt = $conectar->prepare($sql);
        $stmt->execute([$Ccod_centro, $Sdesc_centro]);
        return true;
    }

    public function update_centro($Ccod_centroID, $Ccod_centro, $Sdesc_centro) {
        $conectar = parent::conexion();
        parent::set_names();
        $sql = "UPDATE centro SET Ccod_centro = ?, Sdesc_centro = ? WHERE Ccod_centroID = ?";
        $stmt = $conectar->prepare($sql);
        $stmt->execute([$Ccod_centro, $Sdesc_centro, $Ccod_centroID]);
        return true;
    }
}
?>
